using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("LookupDataValues")]
    public class LookupDataValue
    {
        [Column("LookupDataValueID")]
        public int LookupDataValueID { get; set; }

        [Column("LookupDataValue_UID")]
        public Guid LookupDataValue_UID { get; set; }

        [Column("LookupDataID")]
        public int? LookupDataID { get; set; }

        [Column("Value")]
        public string Value { get; set; }

        [Column("Title")]
        public string? Title { get; set; }

        [Column("SortOrder")]
        public int? SortOrder { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [ForeignKey("LookupDataID")]
        public LookupData LookupData { get; set; }
    }
}